/* error -- print error message and exit */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

void error(char *fmt, ...)
{
	va_list	params;
	extern char *progname;

	/* print message */
	fprintf( stderr, "%s: ", progname );
	va_start(params, fmt);
	vfprintf( stderr, fmt, params);
	va_end(params);
	fprintf( stderr, "\n" );

	/* terminate process */
	exit(1);
}
