#ifndef YYSTYPE
#define YYSTYPE int
#endif

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#define	ARRAY	257
#define	NARRAY	258
#define	ASSERT_TOK	259
#define	BREAK_TOK	260
#define	CHAR	261
#define	CONSTSYM	262
#define	CONST_TOK	263
#define	DESCENDANT_TOK	264
#define	ELSE_TOK	265
#define	FALSE_TOK	266
#define	FLOAT	267
#define	FOR_TOK	268
#define	FOREACH_TOK	269
#define	FUNCTION	270
#define	IDENTIFIER	271
#define	IF_TOK	272
#define	INCLUDE_TOK	273
#define	INTEGER	274
#define	NIL_TOK	275
#define	NODE	276
#define	NODE_FUNCTION	277
#define	NODE_TOK	278
#define	PARENT_TOK	279
#define	RESIZE_TOK	280
#define	RETURN_TOK	281
#define	SIZEOF_TOK	282
#define	STRING	283
#define	TRUE_TOK	284
#define	VALUE	285
#define	VARIABLE	286
#define	VAR_TOK	287
#define	WHILE_TOK	288
#define	ASSIGN_TOK	289
#define	PLUS_ASSIGN_TOK	290
#define	TIMES_ASSIGN_TOK	291
#define	OR_TOK	292
#define	BIT_OR_TOK	293
#define	AND_TOK	294
#define	BIT_AND_TOK	295
#define	GT_TOK	296
#define	GE_TOK	297
#define	LT_TOK	298
#define	LE_TOK	299
#define	EQ_TOK	300
#define	NE_TOK	301
#define	CONCAT_TOK	302
#define	PLUS_TOK	303
#define	MINUS_TOK	304
#define	TIMES_TOK	305
#define	DIVIDE_TOK	306
#define	UNARYMINUS	307
#define	NOT_TOK	308


extern YYSTYPE yylval;
