#ifndef YYSTYPE
#define YYSTYPE int
#endif

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#define	ARRAY	258
#define	NARRAY	259
#define	BREAK_TOK	260
#define	CHAR	261
#define	CONSTSYM	262
#define	CONST_TOK	263
#define	DESCENDANT_TOK	264
#define	ELSE_TOK	265
#define	FLOAT	266
#define	FOR_TOK	267
#define	FOREACH_TOK	268
#define	FUNCTION	269
#define	IDENTIFIER	270
#define	IF_TOK	271
#define	INCLUDE_TOK	272
#define	INTEGER	273
#define	NIL_TOK	274
#define	NODE	275
#define	NODE_FUNCTION	276
#define	NODE_TOK	277
#define	PARENT_TOK	278
#define	RESIZE_TOK	279
#define	RETURN_TOK	280
#define	SIZEOF_TOK	281
#define	STRING	282
#define	VALUE	283
#define	VARIABLE	284
#define	VAR_TOK	285
#define	WHILE_TOK	286
#define	ASSIGN_TOK	287
#define	PLUS_ASSIGN_TOK	288
#define	TIMES_ASSIGN_TOK	289
#define	OR_TOK	290
#define	BIT_OR_TOK	291
#define	AND_TOK	292
#define	BIT_AND_TOK	293
#define	GT_TOK	294
#define	GE_TOK	295
#define	LT_TOK	296
#define	LE_TOK	297
#define	EQ_TOK	298
#define	NE_TOK	299
#define	CONCAT_TOK	300
#define	PLUS_TOK	301
#define	MINUS_TOK	302
#define	TIMES_TOK	303
#define	DIVIDE_TOK	304
#define	UNARYMINUS	305
#define	NOT_TOK	306


extern YYSTYPE yylval;
