/* sylonoff.h -- syllable onsets and offsets */

/* SAMPA version - February 1998 */

const char *SAMPAonset[]={
	"p","t","k","b","d","g","tS","dZ","m","n",
	"h","f","v","T","D","s","z","S",
	"l","r","w","j",
	"fr","fl","vr","Tr","Sr","Sl",
	"sp","st","sk","sm","sn","sf","sl","sr","sw",
	"spl","skl","spr","str","skr",
	"pl","kl","bl","gl","pr","tr","kr","br","dr","gr",
	"tw","kw","dw","gw",
#if 0
	"pj","tj","kj","bj","dj","gj","mj","nj","sj","fj","vj"
	"spj","stj","skj",
#endif
};
#define NUMSAMPAONSET (sizeof(SAMPAonset)/sizeof(char *))

const char *SAMPAoffset[]={
	"p","t","k","b","d","g","tS","dZ","m","n","N",
	"ps","ts","ks","bz","dz","gz","tS","dZ","mz","nz","Nz",
	"f","v","T","D","s","z","S","Z","l",
	"fs","vz","Ts","Dz","lz",
	"pt","kt","kst","pst",
	"pts", "kts",
	"mp","nt","Nk","mb","md","nd","Ng","ntS","ndZ",
	"mps","nts","Nks","mbz","ndz","Ngz",
	"lp","lt","lk","lb","ld","lg","ltS","ldZ",
	"lps","lts","lks","lbz","ldz","lgz",
	"lT","lf","ls","lS","lm","lv",
	"lTs", "lfs", "lmz","lvz",
	"sp","st","sk","ft",
	"sps", "sts", "sks", "fts",
	"mf","mT","mpT",
	"mfs","mTs","mpTs",
	"nT","ntT","ntS","ns","nS","nZ","ndZ",
	"nTs","ntTs",
	"NT","NkT",
	"NTs","NkTs","Nst"
	"#",
};
#define NUMSAMPAOFFSET (sizeof(SAMPAoffset)/sizeof(char *))

